Subject: Re: bug#39863: Guile 1.8, apparent segfault on some Macs running Mojave

From: Marnen Laibow-Koser <[email-masked]>
Date: Fri, 3 Apr 2020 13:02:27 -0400

On Sat, Mar 7, 2020 at 3:36 PM Ludovic Courtès <[email-masked]> wrote:

> Hi,
>
> Marnen Laibow-Koser <[email-masked]> skribis:
>
> > On Sat, Mar 7, 2020 at 10:12 AM Ludovic Courtès <[email-masked]> wrote:
>
> [...]
>
> >> Could you provide a backtrace of the segfault?
> >>
> >
> > I’m not sure how I would be able to get any more detailed debugging info
> > than the logs that I posted in the GitLab issue.  Have you looked at
> > those?  Alternatively, is there an environment variable or anything that
> > would get Guile to provide more information when it does segfault?
>
> I would just run GDB on the dumped core, and run “bt” there (apologies
> if that info is already in the GitLab issue, I didn’t see it.)

There’s now an lldb backtrace at
https://gitlab.com/marnen/lilypond-mac-builder/issues/16#note_317315811 .
Hopefully it’s somewhat useful?

Note that this is from a second affected user, who said that the issue went
away for him after he reinstalled macOS (Catalina, FWIW).

Best,
-- 
Marnen Laibow-Koser [email-masked] http://www.marnen.org Sent from Gmail
Mobile